// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
nz-spin([nzSpinning]="portalLoading$ | async", nzTip="Loading portal...")
  div(nz-col, [nzXs]="{ span: 14, offset: 5 }")

    h1 {{ (portal$ | async)?.name }}

    a(*ngIf="displayReturn", (click)="back()", nz-button, nzGhost, nzSize="small")
      i(nz-icon, nzType="arrow-left", nzTheme="outline")
      | Return

    span New Run
    h2 Fill the inputs parameters

    nz-spin([nzSpinning]="formDataUploading$ | async", nzTip="Uploading data...")
      ryax-portal-form-content(*ngIf="(portal$ | async)?.outputs as outputs", [portalInputs]="outputs", (submitEmitter)="onSubmit($event)")
